Index: gzip/gzip.c
===================================================================
RCS file: /cvs/src/usr.bin/gzip/gzip.c,v
retrieving revision 1.3
diff -u -u -r1.3 gzip.c
--- gzip/gzip.c	30 Oct 2004 18:48:31 -0000	1.3
+++ gzip/gzip.c	7 Nov 2004 20:02:14 -0000
@@ -983,8 +983,8 @@
 	if (sbp == NULL) {
 		mode_t mask = umask(022);
 
-		(void)chmod(file, DEFFILEMODE & ~mask);
-		(void)umask(mask);
+		chmod(file, DEFFILEMODE & ~mask);
+		umask(mask);
 		return; 
 	}
 
@@ -1049,7 +1049,7 @@
 
 			fprintf(stderr, "%s already exists -- do you wish to "
 					"overwrite (y or n)? " , outfile);
-			(void)fgets(ans, sizeof(ans) - 1, stdin);
+			fgets(ans, sizeof(ans) - 1, stdin);
 			if (ans[0] != 'y' && ans[0] != 'Y') {
 				fprintf(stderr, "\tnot overwritting\n");
 				ok = 0;
@@ -1167,7 +1167,7 @@
 
 	insize = gz_compress(in, out, &size, basename(file), (uint32_t)isb.st_mtime);
 
-	(void)close(in);
+	close(in);
 
 	/*
 	 * If there was an error, insize will be -1.
@@ -1366,7 +1366,7 @@
 		if (ferror(in) | fclose(in)) {
 			maybe_warn("failed infile fclose");
 			unlink(outfile);
-			(void)fclose(out);
+			fclose(out);
 		}
 		if (fclose(out) != 0) {
 			maybe_warn("failed outfile fclose");
@@ -1692,7 +1692,7 @@
 			handle_file(entry->fts_name, entry->fts_statp);
 		}
 	}
-	(void)fts_close(fts);
+	fts_close(fts);
 }
 #endif
 
Index: head/head.c
===================================================================
RCS file: /cvs/src/usr.bin/head/head.c,v
retrieving revision 1.3
diff -u -u -r1.3 head.c
--- head/head.c	4 Oct 2003 20:36:45 -0000	1.3
+++ head/head.c	7 Nov 2004 20:02:15 -0000
@@ -96,7 +96,7 @@
 				continue;
 			}
 			if (argc > 1) {
-				(void)printf("%s==> %s <==\n",
+				printf("%s==> %s <==\n",
 				    first ? "" : "\n", *argv);
 				first = 0;
 			}
@@ -104,7 +104,7 @@
 				head(fp, linecnt);
 			else
 				head_bytes(fp, bytecnt);
-			(void)fclose(fp);
+			fclose(fp);
 		}
 	} else if (bytecnt == -1)
 		head(stdin, linecnt);
@@ -161,7 +161,7 @@
 			err(1, NULL);
 		ap[0] = '-';
 		ap[1] = 'n';
-		(void)strcpy(ap + 2, *argv + 1);
+		strcpy(ap + 2, *argv + 1);
 		*argv = ap;
 	}
 }
@@ -170,6 +170,6 @@
 usage(void)
 {
 
-	(void)fprintf(stderr, "usage: head [-n lines | -c bytes] [file ...]\n");
+	fprintf(stderr, "usage: head [-n lines | -c bytes] [file ...]\n");
 	exit(1);
 }
Index: hexdump/conv.c
===================================================================
RCS file: /cvs/src/usr.bin/hexdump/conv.c,v
retrieving revision 1.3
diff -u -u -r1.3 conv.c
--- hexdump/conv.c	4 Oct 2003 20:36:45 -0000	1.3
+++ hexdump/conv.c	7 Nov 2004 20:02:15 -0000
@@ -78,12 +78,12 @@
 	}
 	if (isprint(*p)) {
 		*pr->cchar = 'c';
-		(void)printf(pr->fmt, *p);
+		printf(pr->fmt, *p);
 	} else {
-		(void)sprintf(buf, "%03o", (int)*p);
+		sprintf(buf, "%03o", (int)*p);
 		str = buf;
 strpr:		*pr->cchar = 's';
-		(void)printf(pr->fmt, str);
+		printf(pr->fmt, str);
 	}
 }
 
@@ -101,20 +101,20 @@
 	if (*p <= 0x1f) {
 		*pr->cchar = 's';
 		if (odmode && *p == 0x0a)
-			(void)printf(pr->fmt, "nl");
+			printf(pr->fmt, "nl");
 		else
-			(void)printf(pr->fmt, list[*p]);
+			printf(pr->fmt, list[*p]);
 	} else if (*p == 0x7f) {
 		*pr->cchar = 's';
-		(void)printf(pr->fmt, "del");
+		printf(pr->fmt, "del");
 	} else if (odmode && *p == 0x20) {	/* od replaced space with sp */
 		*pr->cchar = 's';
-		(void)printf(pr->fmt, " sp");
+		printf(pr->fmt, " sp");
 	} else if (isprint(*p)) {
 		*pr->cchar = 'c';
-		(void)printf(pr->fmt, *p);
+		printf(pr->fmt, *p);
 	} else {
 		*pr->cchar = 'x';
-		(void)printf(pr->fmt, (int)*p);
+		printf(pr->fmt, (int)*p);
 	}
 }
Index: hexdump/display.c
===================================================================
RCS file: /cvs/src/usr.bin/hexdump/display.c,v
retrieving revision 1.4
diff -u -u -r1.4 display.c
--- hexdump/display.c	30 Aug 2004 18:06:49 -0000	1.4
+++ hexdump/display.c	7 Nov 2004 20:02:15 -0000
@@ -99,10 +99,10 @@
 		for (pr = endfu->nextpr; pr; pr = pr->nextpr)
 			switch(pr->flags) {
 			case F_ADDRESS:
-				(void)printf(pr->fmt, (quad_t)eaddress);
+				printf(pr->fmt, (quad_t)eaddress);
 				break;
 			case F_TEXT:
-				(void)printf("%s", pr->fmt);
+				printf("%s", pr->fmt);
 				break;
 			}
 	}
@@ -123,31 +123,31 @@
 
 	switch(pr->flags) {
 	case F_ADDRESS:
-		(void)printf(pr->fmt, (quad_t)address);
+		printf(pr->fmt, (quad_t)address);
 		break;
 	case F_BPAD:
-		(void)printf(pr->fmt, "");
+		printf(pr->fmt, "");
 		break;
 	case F_C:
 		conv_c(pr, bp);
 		break;
 	case F_CHAR:
-		(void)printf(pr->fmt, *bp);
+		printf(pr->fmt, *bp);
 		break;
 	case F_DBL:
 		switch(pr->bcnt) {
 		case 4:
 			bcopy(bp, &f4, sizeof(f4));
-			(void)printf(pr->fmt, f4);
+			printf(pr->fmt, f4);
 			break;
 		case 8:
 			bcopy(bp, &f8, sizeof(f8));
-			(void)printf(pr->fmt, f8);
+			printf(pr->fmt, f8);
 			break;
 		default:
 			if (pr->bcnt == sizeof(long double)) {
 				bcopy(bp, &ldbl, sizeof(ldbl));
-				(void)printf(pr->fmt, ldbl);
+				printf(pr->fmt, ldbl);
 			}
 			break;
 		}
@@ -155,30 +155,30 @@
 	case F_INT:
 		switch(pr->bcnt) {
 		case 1:
-			(void)printf(pr->fmt, (quad_t)(signed char)*bp);
+			printf(pr->fmt, (quad_t)(signed char)*bp);
 			break;
 		case 2:
 			bcopy(bp, &s2, sizeof(s2));
-			(void)printf(pr->fmt, (quad_t)s2);
+			printf(pr->fmt, (quad_t)s2);
 			break;
 		case 4:
 			bcopy(bp, &s4, sizeof(s4));
-			(void)printf(pr->fmt, (quad_t)s4);
+			printf(pr->fmt, (quad_t)s4);
 			break;
 		case 8:
 			bcopy(bp, &s8, sizeof(s8));
-			(void)printf(pr->fmt, s8);
+			printf(pr->fmt, s8);
 			break;
 		}
 		break;
 	case F_P:
-		(void)printf(pr->fmt, isprint(*bp) ? *bp : '.');
+		printf(pr->fmt, isprint(*bp) ? *bp : '.');
 		break;
 	case F_STR:
-		(void)printf(pr->fmt, (char *)bp);
+		printf(pr->fmt, (char *)bp);
 		break;
 	case F_TEXT:
-		(void)printf("%s", pr->fmt);
+		printf("%s", pr->fmt);
 		break;
 	case F_U:
 		conv_u(pr, bp);
@@ -186,19 +186,19 @@
 	case F_UINT:
 		switch(pr->bcnt) {
 		case 1:
-			(void)printf(pr->fmt, (u_quad_t)*bp);
+			printf(pr->fmt, (u_quad_t)*bp);
 			break;
 		case 2:
 			bcopy(bp, &u2, sizeof(u2));
-			(void)printf(pr->fmt, (u_quad_t)u2);
+			printf(pr->fmt, (u_quad_t)u2);
 			break;
 		case 4:
 			bcopy(bp, &u4, sizeof(u4));
-			(void)printf(pr->fmt, (u_quad_t)u4);
+			printf(pr->fmt, (u_quad_t)u4);
 			break;
 		case 8:
 			bcopy(bp, &u8, sizeof(u8));
-			(void)printf(pr->fmt, u8);
+			printf(pr->fmt, u8);
 			break;
 		}
 		break;
@@ -262,7 +262,7 @@
 			    valid_save && 
 			    bcmp(curp, savp, nread) == 0) {
 				if (vflag != DUP)
-					(void)printf("*\n");
+					printf("*\n");
 				return((u_char *)NULL);
 			}
 			bzero((char *)curp + nread, need);
@@ -289,7 +289,7 @@
 				return(curp);
 			}
 			if (vflag == WAIT)
-				(void)printf("*\n");
+				printf("*\n");
 			vflag = DUP;
 			address += blocksize;
 			need = blocksize;
Index: hexdump/hexdump.c
===================================================================
RCS file: /cvs/src/usr.bin/hexdump/hexdump.c,v
retrieving revision 1.4
diff -u -u -r1.4 hexdump.c
--- hexdump/hexdump.c	30 Aug 2004 18:06:49 -0000	1.4
+++ hexdump/hexdump.c	7 Nov 2004 20:02:15 -0000
@@ -54,7 +54,7 @@
 	register FS *tfs;
 	char *p;
 
-	(void)setlocale(LC_ALL, "");
+	setlocale(LC_ALL, "");
 
 	if (!(p = strrchr(argv[0], 'o')) || strcmp(p, "od"))
 		newsyntax(argc, &argv);
@@ -71,7 +71,7 @@
 	for (tfs = fshead; tfs; tfs = tfs->nextfs)
 		rewrite(tfs);
 
-	(void)next(argv);
+	next(argv);
 	display();
 	exit(exitval);
 }
Index: hexdump/hexsyntax.c
===================================================================
RCS file: /cvs/src/usr.bin/hexdump/hexsyntax.c,v
retrieving revision 1.4
diff -u -u -r1.4 hexsyntax.c
--- hexdump/hexsyntax.c	30 Aug 2004 18:06:49 -0000	1.4
+++ hexdump/hexsyntax.c	7 Nov 2004 20:02:15 -0000
@@ -131,7 +131,7 @@
 void
 usage(void)
 {
-	(void)fprintf(stderr, "%s\n%s\n%s\n%s\n",
+	fprintf(stderr, "%s\n%s\n%s\n%s\n",
 "usage: hexdump [-bcCdovx] [-e fmt] [-f fmt_file] [-n length]",
 "               [-s skip] [file ...]",
 "       hd      [-bcdovx]  [-e fmt] [-f fmt_file] [-n length]",
Index: hexdump/parse.c
===================================================================
RCS file: /cvs/src/usr.bin/hexdump/parse.c,v
retrieving revision 1.4
diff -u -u -r1.4 parse.c
--- hexdump/parse.c	30 Aug 2004 18:06:49 -0000	1.4
+++ hexdump/parse.c	7 Nov 2004 20:02:15 -0000
@@ -69,7 +69,7 @@
 			continue;
 		add(p);
 	}
-	(void)fclose(fp);
+	fclose(fp);
 }
 
 void
@@ -138,7 +138,7 @@
 				badfmt(fmt);
 		if (!(tfu->fmt = malloc(p - savep + 1)))
 			err(1, NULL);
-		(void) strncpy(tfu->fmt, savep, p - savep);
+		strncpy(tfu->fmt, savep, p - savep);
 		tfu->fmt[p - savep] = '\0';
 		escape(tfu->fmt);
 		p++;
@@ -389,8 +389,8 @@
 			p1[0] = '\0';
 			if ((pr->fmt = calloc(1, strlen(fmtp) + 2)) == NULL)
 				err(1, NULL);
-			(void)strcpy(pr->fmt, fmtp);
-			(void)strcat(pr->fmt, cs);
+			strcpy(pr->fmt, fmtp);
+			strcat(pr->fmt, cs);
 			*p2 = savech;
 			pr->cchar = pr->fmt + (p1 - fmtp);
 			fmtp = p2;
@@ -432,10 +432,10 @@
 	}
 #ifdef DEBUG
 	for (fu = fs->nextfu; fu; fu = fu->nextfu) {
-		(void)printf("fmt:");
+		printf("fmt:");
 		for (pr = fu->nextpr; pr; pr = pr->nextpr)
-			(void)printf(" {%s}", pr->fmt);
-		(void)printf("\n");
+			printf(" {%s}", pr->fmt);
+		printf("\n");
 	}
 #endif
 }
Index: id/id.c
===================================================================
RCS file: /cvs/src/usr.bin/id/id.c,v
retrieving revision 1.5
diff -u -u -r1.5 id.c
--- id/id.c	19 Sep 2004 17:25:42 -0000	1.5
+++ id/id.c	7 Nov 2004 20:02:15 -0000
@@ -129,18 +129,18 @@
 	if (gflag) {
 		id = pw ? pw->pw_gid : rflag ? getgid() : getegid();
 		if (nflag && (gr = getgrgid(id)))
-			(void)printf("%s\n", gr->gr_name);
+			printf("%s\n", gr->gr_name);
 		else
-			(void)printf("%u\n", id);
+			printf("%u\n", id);
 		exit(0);
 	}
 
 	if (uflag) {
 		id = pw ? pw->pw_uid : rflag ? getuid() : geteuid();
 		if (nflag && (pw = getpwuid(id)))
-			(void)printf("%s\n", pw->pw_name);
+			printf("%s\n", pw->pw_name);
 		else
-			(void)printf("%u\n", id);
+			printf("%u\n", id);
 		exit(0);
 	}
 
@@ -174,8 +174,8 @@
 	char *login;
 
 	if (pw) {
-		(void)printf("uid\t%s\n", pw->pw_name);
-		(void)printf("groups\t");
+		printf("uid\t%s\n", pw->pw_name);
+		printf("groups\t");
 		group(pw, 1);
 	} else {
 		if ((login = getlogin()) == NULL)
@@ -183,25 +183,25 @@
 
 		pw = getpwuid(rid = getuid());
 		if (pw == NULL || strcmp(login, pw->pw_name))
-			(void)printf("login\t%s\n", login);
+			printf("login\t%s\n", login);
 		if (pw)
-			(void)printf("uid\t%s\n", pw->pw_name);
+			printf("uid\t%s\n", pw->pw_name);
 		else
-			(void)printf("uid\t%u\n", rid);
+			printf("uid\t%u\n", rid);
 
 		if ((eid = geteuid()) != rid) {
 			if ((pw = getpwuid(eid)))
-				(void)printf("euid\t%s\n", pw->pw_name);
+				printf("euid\t%s\n", pw->pw_name);
 			else
-				(void)printf("euid\t%u\n", eid);
+				printf("euid\t%u\n", eid);
 		}
 		if ((rid = getgid()) != (eid = getegid())) {
 			if ((gr = getgrgid(rid)))
-				(void)printf("rgid\t%s\n", gr->gr_name);
+				printf("rgid\t%s\n", gr->gr_name);
 			else
-				(void)printf("rgid\t%u\n", rid);
+				printf("rgid\t%u\n", rid);
 		}
-		(void)printf("groups\t");
+		printf("groups\t");
 		group(NULL, 1);
 	}
 }
@@ -216,22 +216,22 @@
 	const char *fmt;
 
 	id = getuid();
-	(void)printf("uid=%u", id);
+	printf("uid=%u", id);
 	if ((pw = getpwuid(id)))
-		(void)printf("(%s)", pw->pw_name);
+		printf("(%s)", pw->pw_name);
 	if ((eid = geteuid()) != id) {
-		(void)printf(" euid=%u", eid);
+		printf(" euid=%u", eid);
 		if ((pw = getpwuid(eid)))
-			(void)printf("(%s)", pw->pw_name);
+			printf("(%s)", pw->pw_name);
 	}
 	id = getgid();
-	(void)printf(" gid=%u", id);
+	printf(" gid=%u", id);
 	if ((gr = getgrgid(id)))
-		(void)printf("(%s)", gr->gr_name);
+		printf("(%s)", gr->gr_name);
 	if ((eid = getegid()) != id) {
-		(void)printf(" egid=%u", eid);
+		printf(" egid=%u", eid);
 		if ((gr = getgrgid(eid)))
-			(void)printf("(%s)", gr->gr_name);
+			printf("(%s)", gr->gr_name);
 	}
 	if ((ngroups = getgroups(NGROUPS, groups))) {
 		for (fmt = " groups=%u", lastid = -1, cnt = 0; cnt < ngroups;
@@ -239,12 +239,12 @@
 			id = groups[cnt++];
 			if (lastid == id)
 				continue;
-			(void)printf(fmt, id);
+			printf(fmt, id);
 			if ((gr = getgrgid(id)))
-				(void)printf("(%s)", gr->gr_name);
+				printf("(%s)", gr->gr_name);
 		}
 	}
-	(void)printf("\n");
+	printf("\n");
 }
 
 void
@@ -255,24 +255,24 @@
 	int cnt, ngroups;
 	gid_t gid, lastgid, groups[NGROUPS + 1];
 
-	(void)printf("uid=%u(%s)", pw->pw_uid, pw->pw_name);
+	printf("uid=%u(%s)", pw->pw_uid, pw->pw_name);
 	gid = pw->pw_gid;
-	(void)printf(" gid=%u", gid);
+	printf(" gid=%u", gid);
 	if ((gr = getgrgid(gid)))
-		(void)printf("(%s)", gr->gr_name);
+		printf("(%s)", gr->gr_name);
 	ngroups = NGROUPS + 1;
-	(void) getgrouplist(pw->pw_name, gid, groups, &ngroups);
+	getgrouplist(pw->pw_name, gid, groups, &ngroups);
 	fmt = " groups=%u";
 	for (lastgid = -1, cnt = 0; cnt < ngroups; ++cnt) {
 		if (lastgid == (gid = groups[cnt]))
 			continue;
-		(void)printf(fmt, gid);
+		printf(fmt, gid);
 		fmt = ", %u";
 		if ((gr = getgrgid(gid)))
-			(void)printf("(%s)", gr->gr_name);
+			printf("(%s)", gr->gr_name);
 		lastgid = gid;
 	}
-	(void)printf("\n");
+	printf("\n");
 }
 
 void
@@ -285,7 +285,7 @@
 
 	if (pw) {
 		ngroups = NGROUPS + 1;
-		(void) getgrouplist(pw->pw_name, pw->pw_gid, groups, &ngroups);
+		getgrouplist(pw->pw_name, pw->pw_gid, groups, &ngroups);
 	} else {
 		groups[0] = getgid();
 		ngroups = getgroups(NGROUPS, groups + 1) + 1;
@@ -296,18 +296,18 @@
 			continue;
 		if (nflag) {
 			if ((gr = getgrgid(id)))
-				(void)printf(fmt, gr->gr_name);
+				printf(fmt, gr->gr_name);
 			else
-				(void)printf(*fmt == ' ' ? " %u" : "%u",
+				printf(*fmt == ' ' ? " %u" : "%u",
 				    id);
 			fmt = " %s";
 		} else {
-			(void)printf(fmt, id);
+			printf(fmt, id);
 			fmt = " %u";
 		}
 		lastid = id;
 	}
-	(void)printf("\n");
+	printf("\n");
 }
 
 struct passwd *
@@ -340,7 +340,7 @@
 			err(1, "getpwuid");
 	}
 
-	(void)printf("%s:%s:%d:%d:%s:%ld:%ld:%s:%s:%s\n", pw->pw_name,
+	printf("%s:%s:%d:%d:%s:%ld:%ld:%s:%s:%s\n", pw->pw_name,
 			pw->pw_passwd, pw->pw_uid, pw->pw_gid, pw->pw_class,
 			(long)pw->pw_change, (long)pw->pw_expire, pw->pw_gecos,
 			pw->pw_dir, pw->pw_shell);
@@ -352,11 +352,11 @@
 {
 
 	if (isgroups)
-		(void)fprintf(stderr, "usage: groups [user]\n");
+		fprintf(stderr, "usage: groups [user]\n");
 	else if (iswhoami)
-		(void)fprintf(stderr, "usage: whoami\n");
+		fprintf(stderr, "usage: whoami\n");
 	else
-		(void)fprintf(stderr, "%s\n%s\n%s\n%s\n%s\n%s\n",
+		fprintf(stderr, "%s\n%s\n%s\n%s\n%s\n%s\n",
 		    "usage: id [user]",
 		    "       id -G [-n] [user]",
 		    "       id -P [user]",
Index: indent/args.c
===================================================================
RCS file: /cvs/src/usr.bin/indent/args.c,v
retrieving revision 1.2
diff -u -u -r1.2 args.c
--- indent/args.c	17 Jun 2003 04:29:27 -0000	1.2
+++ indent/args.c	7 Nov 2004 20:02:15 -0000
@@ -167,11 +167,11 @@
     sprintf(fname, "%s/%s", getenv("HOME"), prof);
     if ((f = fopen(option_source = fname, "r")) != NULL) {
 	scan_profile(f);
-	(void) fclose(f);
+	fclose(f);
     }
     if ((f = fopen(option_source = prof, "r")) != NULL) {
 	scan_profile(f);
-	(void) fclose(f);
+	fclose(f);
     }
     option_source = "Command line";
 }
Index: join/join.c
===================================================================
RCS file: /cvs/src/usr.bin/join/join.c,v
retrieving revision 1.5
diff -u -u -r1.5 join.c
--- join/join.c	25 Aug 2004 16:07:18 -0000	1.5
+++ join/join.c	7 Nov 2004 20:02:15 -0000
@@ -399,7 +399,7 @@
 	else
 		for (cnt = 0; cnt < lp->fieldcnt; ++cnt)
 			outfield(lp, cnt, 0);
-	(void)printf("\n");
+	printf("\n");
 	if (ferror(stdout))
 		err(1, "stdout");
 	needsep = 0;
@@ -435,7 +435,7 @@
 			if (F2->joinf != cnt)
 				outfield(lp2, cnt, 0);
 	}
-	(void)printf("\n");
+	printf("\n");
 	if (ferror(stdout))
 		err(1, "stdout");
 	needsep = 0;
@@ -445,15 +445,15 @@
 outfield(LINE *lp, u_long fieldno, int out_empty)
 {
 	if (needsep++)
-		(void)printf("%c", *tabchar);
+		printf("%c", *tabchar);
 	if (!ferror(stdout)) {
 		if (lp->fieldcnt <= fieldno || out_empty) {
 			if (empty != NULL)
-				(void)printf("%s", empty);
+				printf("%s", empty);
 		} else {
 			if (*lp->fields[fieldno] == '\0')
 				return;
-			(void)printf("%s", lp->fields[fieldno]);
+			printf("%s", lp->fields[fieldno]);
 		}
 	}
 	if (ferror(stdout))
Index: kdump/kdump.c
===================================================================
RCS file: /cvs/src/usr.bin/kdump/kdump.c,v
retrieving revision 1.4
diff -u -u -r1.4 kdump.c
--- kdump/kdump.c	4 Oct 2003 20:36:46 -0000	1.4
+++ kdump/kdump.c	7 Nov 2004 20:02:15 -0000
@@ -67,7 +67,7 @@
 	register void *m;
 	int trpoints = ALL_POINTS;
 
-	(void) setlocale(LC_CTYPE, "");
+	setlocale(LC_CTYPE, "");
 
 	while ((ch = getopt(argc,argv,"f:dlm:nRTt:")) != -1)
 		switch((char)ch) {
@@ -148,7 +148,7 @@
 			break;
 		}
 		if (tail)
-			(void)fflush(stdout);
+			fflush(stdout);
 	}
 }
 
@@ -157,7 +157,7 @@
 	int i;
 
 	while ((i = fread(buf, size, num, stdin)) == 0 && tail) {
-		(void)sleep(1);
+		sleep(1);
 		clearerr(stdin);
 	}
 	return (i);
@@ -192,21 +192,21 @@
 		type = "USER";
 		break;
 	default:
-		(void)sprintf(unknown, "UNKNOWN(%d)", kth->ktr_type);
+		sprintf(unknown, "UNKNOWN(%d)", kth->ktr_type);
 		type = unknown;
 	}
 
-	(void)printf("%6d %-8.*s ", kth->ktr_pid, MAXCOMLEN, kth->ktr_comm);
+	printf("%6d %-8.*s ", kth->ktr_pid, MAXCOMLEN, kth->ktr_comm);
 	if (timestamp) {
 		if (timestamp == 2) {
 			temp = kth->ktr_time;
 			timevalsub(&kth->ktr_time, &prevtime);
 			prevtime = temp;
 		}
-		(void)printf("%ld.%06ld ",
+		printf("%ld.%06ld ",
 		    kth->ktr_time.tv_sec, kth->ktr_time.tv_usec);
 	}
-	(void)printf("%s  ", type);
+	printf("%s  ", type);
 }
 
 #include <sys/syscall.h>
@@ -228,9 +228,9 @@
 	char *ioctlname();
 
 	if (ktr->ktr_code >= nsyscalls || ktr->ktr_code < 0)
-		(void)printf("[%d]", ktr->ktr_code);
+		printf("[%d]", ktr->ktr_code);
 	else
-		(void)printf("%s", syscallnames[ktr->ktr_code]);
+		printf("%s", syscallnames[ktr->ktr_code]);
 	ip = &ktr->ktr_args[0];
 	if (narg) {
 		char c = '(';
@@ -238,18 +238,18 @@
 			if (ktr->ktr_code == SYS_ioctl) {
 				char *cp;
 				if (decimal)
-					(void)printf("(%ld", (long)*ip);
+					printf("(%ld", (long)*ip);
 				else
-					(void)printf("(%#lx", (long)*ip);
+					printf("(%#lx", (long)*ip);
 				ip++;
 				narg--;
 				if ((cp = ioctlname(*ip)) != NULL)
-					(void)printf(",%s", cp);
+					printf(",%s", cp);
 				else {
 					if (decimal)
-						(void)printf(",%ld", (long)*ip);
+						printf(",%ld", (long)*ip);
 					else
-						(void)printf(",%#lx ", (long)*ip);
+						printf(",%#lx ", (long)*ip);
 				}
 				c = ',';
 				ip++;
@@ -257,33 +257,33 @@
 			} else if (ktr->ktr_code == SYS_ptrace) {
 				if (*ip < sizeof(ptrace_ops) /
 				    sizeof(ptrace_ops[0]) && *ip >= 0)
-					(void)printf("(%s", ptrace_ops[*ip]);
+					printf("(%s", ptrace_ops[*ip]);
 #ifdef PT_GETREGS
 				else if (*ip == PT_GETREGS)
-					(void)printf("(%s", "PT_GETREGS");
+					printf("(%s", "PT_GETREGS");
 #endif
 #ifdef PT_SETREGS
 				else if (*ip == PT_SETREGS)
-					(void)printf("(%s", "PT_SETREGS");
+					printf("(%s", "PT_SETREGS");
 #endif
 #ifdef PT_GETFPREGS
 				else if (*ip == PT_GETFPREGS)
-					(void)printf("(%s", "PT_GETFPREGS");
+					printf("(%s", "PT_GETFPREGS");
 #endif
 #ifdef PT_SETFPREGS
 				else if (*ip == PT_SETFPREGS)
-					(void)printf("(%s", "PT_SETFPREGS");
+					printf("(%s", "PT_SETFPREGS");
 #endif
 #ifdef PT_GETDBREGS
 				else if (*ip == PT_GETDBREGS)
-					(void)printf("(%s", "PT_GETDBREGS");
+					printf("(%s", "PT_GETDBREGS");
 #endif
 #ifdef PT_SETDBREGS
 				else if (*ip == PT_SETDBREGS)
-					(void)printf("(%s", "PT_SETDBREGS");
+					printf("(%s", "PT_SETDBREGS");
 #endif
 				else
-					(void)printf("(%ld", (long)*ip);
+					printf("(%ld", (long)*ip);
 				c = ',';
 				ip++;
 				narg--;
@@ -291,16 +291,16 @@
 		}
 		while (narg) {
 			if (decimal)
-				(void)printf("%c%ld", c, (long)*ip);
+				printf("%c%ld", c, (long)*ip);
 			else
-				(void)printf("%c%#lx", c, (long)*ip);
+				printf("%c%#lx", c, (long)*ip);
 			c = ',';
 			ip++;
 			narg--;
 		}
-		(void)putchar(')');
+		putchar(')');
 	}
-	(void)putchar('\n');
+	putchar('\n');
 }
 
 ktrsysret(struct ktr_sysret *ktr)
@@ -310,36 +310,36 @@
 	register int code = ktr->ktr_code;
 
 	if (code >= nsyscalls || code < 0)
-		(void)printf("[%d] ", code);
+		printf("[%d] ", code);
 	else
-		(void)printf("%s ", syscallnames[code]);
+		printf("%s ", syscallnames[code]);
 
 	if (error == 0) {
 		if (fancy) {
-			(void)printf("%d", ret);
+			printf("%d", ret);
 			if (ret < 0 || ret > 9)
-				(void)printf("/%#lx", (long)ret);
+				printf("/%#lx", (long)ret);
 		} else {
 			if (decimal)
-				(void)printf("%ld", (long)ret);
+				printf("%ld", (long)ret);
 			else
-				(void)printf("%#lx", (long)ret);
+				printf("%#lx", (long)ret);
 		}
 	} else if (error == ERESTART)
-		(void)printf("RESTART");
+		printf("RESTART");
 	else if (error == EJUSTRETURN)
-		(void)printf("JUSTRETURN");
+		printf("JUSTRETURN");
 	else {
-		(void)printf("-1 errno %d", ktr->ktr_error);
+		printf("-1 errno %d", ktr->ktr_error);
 		if (fancy)
-			(void)printf(" %s", strerror(ktr->ktr_error));
+			printf(" %s", strerror(ktr->ktr_error));
 	}
-	(void)putchar('\n');
+	putchar('\n');
 }
 
 ktrnamei(char *cp, int len)
 {
-	(void)printf("\"%.*s\"\n", len, cp);
+	printf("\"%.*s\"\n", len, cp);
 }
 
 ktrgenio(struct ktr_genio *ktr, int len)
@@ -366,23 +366,23 @@
 		datalen == 1 ? "" : "s");
 	if (maxdata && datalen > maxdata)
 		datalen = maxdata;
-	(void)printf("       \"");
+	printf("       \"");
 	col = 8;
 	for (;datalen > 0; datalen--, dp++) {
-		(void) vis(visbuf, *dp, VIS_CSTYLE, *(dp+1));
+		vis(visbuf, *dp, VIS_CSTYLE, *(dp+1));
 		cp = visbuf;
 		/*
 		 * Keep track of printables and
 		 * space chars (like fold(1)).
 		 */
 		if (col == 0) {
-			(void)putchar('\t');
+			putchar('\t');
 			col = 8;
 		}
 		switch(*cp) {
 		case '\n':
 			col = 0;
-			(void)putchar('\n');
+			putchar('\n');
 			continue;
 		case '\t':
 			width = 8 - (col&07);
@@ -391,17 +391,17 @@
 			width = strlen(cp);
 		}
 		if (col + width > (screenwidth-2)) {
-			(void)printf("\\\n\t");
+			printf("\\\n\t");
 			col = 8;
 		}
 		col += width;
 		do {
-			(void)putchar(*cp++);
+			putchar(*cp++);
 		} while (*cp);
 	}
 	if (col == 0)
-		(void)printf("       ");
-	(void)printf("\"\n");
+		printf("       ");
+	printf("\"\n");
 }
 
 char *signames[] = {
@@ -415,32 +415,32 @@
 
 ktrpsig(struct ktr_psig *psig)
 {
-	(void)printf("SIG%s ", signames[psig->signo]);
+	printf("SIG%s ", signames[psig->signo]);
 	if (psig->action == SIG_DFL)
-		(void)printf("SIG_DFL\n");
+		printf("SIG_DFL\n");
 	else
-		(void)printf("caught handler=0x%lx mask=0x%x code=0x%x\n",
+		printf("caught handler=0x%lx mask=0x%x code=0x%x\n",
 		    (u_long)psig->action, psig->mask, psig->code);
 }
 
 ktrcsw(struct ktr_csw *cs)
 {
-	(void)printf("%s %s\n", cs->out ? "stop" : "resume",
+	printf("%s %s\n", cs->out ? "stop" : "resume",
 		cs->user ? "user" : "kernel");
 }
 
 ktruser(int len, unsigned char *p)
 {
-	(void)printf("%d ", len);
+	printf("%d ", len);
 	while (len--)
-		(void)printf(" %02x", *p++);
-	(void)printf("\n");
+		printf(" %02x", *p++);
+	printf("\n");
 		
 }
 
 usage(void)
 {
-	(void)fprintf(stderr,
+	fprintf(stderr,
 	    "usage: kdump [-dnlRT] [-f trfile] [-m maxdata] [-t [cnisuw]]\n");
 	exit(1);
 }
Index: kenv/kenv.c
===================================================================
RCS file: /cvs/src/usr.bin/kenv/kenv.c,v
retrieving revision 1.2
diff -u -u -r1.2 kenv.c
--- kenv/kenv.c	17 Jun 2003 04:29:27 -0000	1.2
+++ kenv/kenv.c	7 Nov 2004 20:02:15 -0000
@@ -39,7 +39,7 @@
 static void
 usage(void)
 {
-	(void)fprintf(stderr, "usage: kenv [-h] [variable]\n");
+	fprintf(stderr, "usage: kenv [-h] [variable]\n");
 	exit(1);
 }
 
Index: ktrace/ktrace.c
===================================================================
RCS file: /cvs/src/usr.bin/ktrace/ktrace.c,v
retrieving revision 1.3
diff -u -u -r1.3 ktrace.c
--- ktrace/ktrace.c	4 Oct 2003 20:36:46 -0000	1.3
+++ ktrace/ktrace.c	7 Nov 2004 20:02:15 -0000
@@ -113,7 +113,7 @@
 	if (inherit)
 		trpoints |= KTRFAC_INHERIT;
 
-	(void)signal(SIGSYS, no_ktrace);
+	signal(SIGSYS, no_ktrace);
 	if (clear != NOTSET) {
 		if (clear == CLEARALL) {
 			ops = KTROP_CLEAR | KTRFLAG_DESCEND;
@@ -141,8 +141,8 @@
 		    DEFFILEMODE)) < 0)
 			err(1, "%s", tracefile);
 	}
-	(void)umask(omask);
-	(void)close(fd);
+	umask(omask);
+	close(fd);
 
 	if (*argv) { 
 		if (ktrace(tracefile, ops, trpoints, getpid()) < 0)
@@ -173,7 +173,7 @@
 void
 usage(void)
 {
-	(void)fprintf(stderr, "%s\n%s\n",
+	fprintf(stderr, "%s\n%s\n",
 "usage: ktrace [-aCcdi] [-f trfile] [-g pgrp | -p pid] [-t cnisuw]",
 "       ktrace [-adi] [-f trfile] [-t cnisuw] command");
 	exit(1);
@@ -182,7 +182,7 @@
 void
 no_ktrace(int sig)
 {
-        (void)fprintf(stderr,
+        fprintf(stderr,
 "error:\tktrace() system call not supported in the running kernel\n\tre-compile kernel with 'options KTRACE'\n");
         exit(1);
 }
Index: last/last.c
===================================================================
RCS file: /cvs/src/usr.bin/last/last.c,v
retrieving revision 1.5
diff -u -u -r1.5 last.c
--- last/last.c	14 Sep 2004 00:13:36 -0000	1.5
+++ last/last.c	7 Nov 2004 20:02:15 -0000
@@ -108,7 +108,7 @@
 void
 usage(void)
 {
-	(void)fprintf(stderr,
+	fprintf(stderr,
 "usage: last [-#] [-y] [-d [[CC]YY][MMDD]hhmm[.SS]] [-f file] [-h host]\n"
 "\t[-t tty] [-s|w] [user ...]\n");
 	exit(1);
@@ -120,7 +120,7 @@
 	int ch;
 	char *p;
 
-	(void) setlocale(LC_TIME, "");
+	setlocale(LC_TIME, "");
 	d_first = (*nl_langinfo(D_MD_ORDER) == 'd');
 
 	maxrec = -1;
@@ -206,9 +206,9 @@
 		err(1, "%s", file);
 	bl = (stb.st_size + sizeof(buf) - 1) / sizeof(buf);
 
-	(void)time(&buf[0].ut_time);
-	(void)signal(SIGINT, onintr);
-	(void)signal(SIGQUIT, onintr);
+	time(&buf[0].ut_time);
+	signal(SIGINT, onintr);
+	signal(SIGQUIT, onintr);
 
 	while (--bl >= 0) {
 		if (lseek(wfd, (off_t)(bl * sizeof(buf)), L_SET) == -1 ||
@@ -218,7 +218,7 @@
 			doentry(bp);
 	}
 	tm = localtime(&buf[0].ut_time);
-	(void) strftime(ct, sizeof(ct), "\nwtmp begins %+\n", tm);
+	strftime(ct, sizeof(ct), "\nwtmp begins %+\n", tm);
 	printf("%s", ct);
 }
 
@@ -323,7 +323,7 @@
 	if (maxrec != -1 && !maxrec--)
 		exit(0);
 	tm = localtime(&bp->ut_time);
-	(void) strftime(ct, sizeof(ct), d_first ?
+	strftime(ct, sizeof(ct), d_first ?
 	    (yflag ? "%a %e %b %Y %R" : "%a %e %b %R") :
 	    (yflag ? "%a %b %e %Y %R" : "%a %b %e %R"), tm);
 	printf("%-*.*s %-*.*s %-*.*s %s%c",
@@ -342,7 +342,7 @@
 		printf("- %s", crmsg);
 	} else {
 		tm = localtime(&tt->logout);
-		(void) strftime(ct, sizeof(ct), "%R", tm);
+		strftime(ct, sizeof(ct), "%R", tm);
 		printf("- %s", ct);
 	}
 	delta = tt->logout - bp->ut_time;
@@ -350,7 +350,7 @@
 		printf("  (%8ld)\n", (long)delta);
 	} else {
 		tm = gmtime(&delta);
-		(void) strftime(ct, sizeof(ct), width >= 8 ? "%T" : "%R", tm);
+		strftime(ct, sizeof(ct), width >= 8 ? "%T" : "%R", tm);
 		if (delta < 86400)
 			printf("  (%s)\n", ct);
 		else
@@ -451,10 +451,10 @@
 		if (!(mval = malloc((u_int)8)))
 			err(1, "malloc failure");
 		if (!strcmp(arg, "co"))
-			(void)strcpy(mval, "console");
+			strcpy(mval, "console");
 		else {
-			(void)strcpy(mval, "tty");
-			(void)strcpy(mval + 3, arg);
+			strcpy(mval, "tty");
+			strcpy(mval + 3, arg);
 		}
 		return (mval);
 	}
@@ -547,11 +547,11 @@
 	struct tm *tm;
 
 	tm = localtime(&buf[0].ut_time);
-	(void) strftime(ct, sizeof(ct),
+	strftime(ct, sizeof(ct),
 			d_first ? "%a %e %b %R" : "%a %b %e %R",
 			tm);
 	printf("\ninterrupted %s\n", ct);
 	if (signo == SIGINT)
 		exit(1);
-	(void)fflush(stdout);			/* fix required for rsh */
+	fflush(stdout);			/* fix required for rsh */
 }
Index: lastcomm/lastcomm.c
===================================================================
RCS file: /cvs/src/usr.bin/lastcomm/lastcomm.c,v
retrieving revision 1.3
diff -u -u -r1.3 lastcomm.c
--- lastcomm/lastcomm.c	4 Oct 2003 20:36:47 -0000	1.3
+++ lastcomm/lastcomm.c	7 Nov 2004 20:02:15 -0000
@@ -164,7 +164,7 @@
 		if (*argv && !requested(argv, &ab))
 			continue;
 
-		(void)printf("%-*.*s %-7s %-*s %-*s",
+		printf("%-*.*s %-7s %-*s %-*s",
 			     AC_COMM_LEN, AC_COMM_LEN, ab.ac_comm,
 			     flagbits(ab.ac_flag),
 			     UT_NAMESIZE, user_from_uid(ab.ac_uid, 0),
@@ -173,36 +173,36 @@
 		
 		/* user + system time */
 		if (flags & AC_CTIME) {
-			(void)printf(" %6.2f secs", 
+			printf(" %6.2f secs", 
 				     (expand(ab.ac_utime) + 
 				      expand(ab.ac_stime))/AC_HZ);
 		}
 		
 		/* usr time */
 		if (flags & AC_UTIME) {
-			(void)printf(" %6.2f us", expand(ab.ac_utime)/AC_HZ);
+			printf(" %6.2f us", expand(ab.ac_utime)/AC_HZ);
 		}
 		
 		/* system time */
 		if (flags & AC_STIME) {
-			(void)printf(" %6.2f sy", expand(ab.ac_stime)/AC_HZ);
+			printf(" %6.2f sy", expand(ab.ac_stime)/AC_HZ);
 		}
 		
 		/* elapsed time */
 		if (flags & AC_ETIME) {
-			(void)printf(" %8.2f es", expand(ab.ac_etime)/AC_HZ);
+			printf(" %8.2f es", expand(ab.ac_etime)/AC_HZ);
 		}
 		
 		/* starting time */
 		if (flags & AC_BTIME) {
-			(void)printf(" %.16s", ctime(&ab.ac_btime));
+			printf(" %.16s", ctime(&ab.ac_btime));
 		}
 		
 		/* exit time (starting time + elapsed time )*/
 		if (flags & AC_FTIME) {
 			t = ab.ac_btime;
 			t += (time_t)(expand(ab.ac_etime)/AC_HZ);
-			(void)printf(" %.16s", ctime(&t));
+			printf(" %.16s", ctime(&t));
 		}
 		printf("\n");
  	}
@@ -276,7 +276,7 @@
 static void
 usage(void)
 {
-	(void)fprintf(stderr,
+	fprintf(stderr,
 "usage: lastcomm [-EScesu] [ -f file ] [command ...] [user ...] [tty ...]\n");
 	exit(1);
 }
Index: ldd/ldd.c
===================================================================
RCS file: /cvs/src/usr.bin/ldd/ldd.c,v
retrieving revision 1.4
diff -u -u -r1.4 ldd.c
--- ldd/ldd.c	19 Aug 2004 23:41:07 -0000	1.4
+++ ldd/ldd.c	7 Nov 2004 20:02:15 -0000
@@ -123,7 +123,7 @@
 		}
 		if ((n = read(fd, &hdr, sizeof hdr)) == -1) {
 			warn("%s: can't read program header", *argv);
-			(void)close(fd);
+			close(fd);
 			rval |= 1;
 			continue;
 		}
@@ -180,7 +180,7 @@
 			warnx("%s: not a dynamic executable", *argv);
 			file_ok = 0;
 		}
-		(void)close(fd);
+		close(fd);
 		if (!file_ok) {
 			rval |= 1;
 			continue;
Index: leave/leave.c
===================================================================
RCS file: /cvs/src/usr.bin/leave/leave.c,v
retrieving revision 1.3
diff -u -u -r1.3 leave.c
--- leave/leave.c	4 Oct 2003 20:36:47 -0000	1.3
+++ leave/leave.c	7 Nov 2004 20:02:15 -0000
@@ -70,7 +70,7 @@
 
 	if (argc < 2) {
 #define	MSG1	"When do you have to leave? "
-		(void)write(1, MSG1, sizeof(MSG1) - 1);
+		write(1, MSG1, sizeof(MSG1) - 1);
 		cp = fgets(buf, sizeof(buf), stdin);
 		if (cp == NULL || *cp == '\n')
 			exit(0);
@@ -98,7 +98,7 @@
 	if (plusnow)
 		secs = hours * 60 * 60 + minutes * 60;
 	else {
-		(void)time(&now);
+		time(&now);
 		t = localtime(&now);
 
 		if (hours > 23)
@@ -136,7 +136,7 @@
 	int pid;
 
 	if ((pid = fork())) {
-		(void)time(&daytime);
+		time(&daytime);
 		daytime += secs;
 		strftime(tb, sizeof(tb), "%+", localtime(&daytime));
 		printf("Alarm set for %s. (pid %d)\n", tb, pid);
@@ -175,7 +175,7 @@
 	}
 
 #define	MSG5	"\07\07That was the last time I'll tell you.  Bye.\n"
-	(void)write(1, MSG5, sizeof(MSG5) - 1);
+	write(1, MSG5, sizeof(MSG5) - 1);
 	exit(0);
 }
 
